/** Loop Ticks
 * @alias update
 * @alias tick */
declare function loop(fn: LoopFn, option?: LoopOption): Promise<void>;
interface LoopFn {
    (count: number): unknown | Promise<unknown>;
}
interface LoopOption {
    limit?: number;
    frame?: number;
    duration?: number;
    clear_screen?: boolean;
}
interface LoopModule {
    loop: LoopFn;
    LOOP_LIMIT?: number;
    LOOP_FRAME?: number;
    LOOP_DURATION?: number;
    LOOP_CLEAR_SCREEN?: boolean;
}

export { type LoopFn, type LoopModule, type LoopOption, loop as default, loop, loop as tick, loop as update };
