/** Entry Points
 * @alias init
 * @alias main
 * @alias setup */
declare function setup(fn: SetupFn, option?: SetupOption): Promise<unknown>;
interface SetupFn {
    (...args: unknown[]): void | unknown | Promise<void | unknown>;
}
interface SetupOption {
    clear_screen?: boolean;
}
interface SetupModule {
    default: SetupFn;
}

export { type SetupFn, type SetupModule, type SetupOption, setup as default, setup as init, setup as main, setup };
